/*

UNIT UART

Basic I/O routines for RS232 Universal Asynchronus Receiver and Transmitter

Author:	Patrick Lindenberg
Date:	06/17/07

Copyright 2007 by Lindenberg Electronics
All Rights Reserved

*/

#include "main.h"
#include "uart.h"

#define UBRR_VAL (F_CPU/(16L*BAUD)-1)



void uart_putc(uint8_t c)
{	

   while (!(UCSRA & (1<<UDRE))); 			/* warten bis Senden moeglich */    
   UDR = c;									/* sende Zeichen */
}
	

void uart_putstr(unsigned char *s) 
{
	while (*s)
    {  
        uart_putc(*s);
        s++;
    }

}


void uart_enable(void)
{
    UCSRB |= (1<<TXEN);     					// UART TX einschalten
 //   UCSRC |= (1 << URSEL) | (1 << UCSZ0) | (1 << UCSZ1);			// Asynchron 8N1 
 
    UBRRH = (UBRR_VAL >> 8) & 0xF;		// Baudrate einstellen
    UBRRL = UBRR_VAL & 0xFF;	
}

